CUTLASS: cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy Struct Reference

Internal structure of iterator - made public to enable introspection.

`#include <mma_tensor_op_tile_iterator.h>`

## Public Types
using | LdsmShape = layout::PitchLinearShape< LdsmShapeContiguous, LdsmShapeStrided >
using | LdsmIterations = layout::PitchLinearShape< Shape::kContiguous/Layout::kElementsPerAccess/LdsmShapeContiguous, 1 >
| Number and arrangement of LDSM instructions. More...

## Static Public Attributes
static int const | kLdsmOpOuter = Layout::kElementsPerAccess
static int const | kLdsmOpInner = 8
static int const | LdsmShapeStrided
| Shape of one individual LDSM instruction. More...
static int const | LdsmShapeContiguous = 4 / LdsmShapeStrided
static int const | kGroupsPerTile
| Number of groups for each tile. More...

## Member Typedef Documentation

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int PartitionsK_>

using cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy::LdsmIterations = layout::PitchLinearShape< Shape::kContiguous / Layout::kElementsPerAccess / LdsmShapeContiguous, 1>

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int PartitionsK_>

using cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy::LdsmShape = layout::PitchLinearShape<LdsmShapeContiguous, LdsmShapeStrided>

## Member Data Documentation

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int PartitionsK_>

int const cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy::kGroupsPerTile
| static

Initial value:
=
Shape::kStrided / InstructionShape::kStrided
template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int PartitionsK_>

int const cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy::kLdsmOpInner = 8
| static

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int PartitionsK_>

int const cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy::kLdsmOpOuter = Layout::kElementsPerAccess
| static

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int PartitionsK_>

int const cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy::LdsmShapeContiguous = 4 / LdsmShapeStrided
| static

template<typename Shape_ , Operand Operand_, typename Element_ , typename InstructionShape_ , int OpDelta_, int PartitionsK_>

int const cutlass::gemm::warp::MmaTensorOpMultiplicandTileIterator< Shape_, Operand_, Element_, cutlass::layout::TensorOpMultiplicandCongruous< sizeof_bits< Element_ >::value, 64 >, InstructionShape_, OpDelta_, 32, PartitionsK_ >::Policy::LdsmShapeStrided
| static

Initial value:
=
InstructionShape::kStrided / kLdsmOpInner

The documentation for this struct was generated from the following file:

- mma_tensor_op_tile_iterator.h